Index: trunk/source/particles/management/src/G4VDecayChannel.cc
===================================================================
--- trunk/source/particles/management/src/G4VDecayChannel.cc	(revision 1196)
+++ trunk/source/particles/management/src/G4VDecayChannel.cc	(revision 1315)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4VDecayChannel.cc,v 1.19 2009/08/17 14:52:19 kurasige Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// $Id: G4VDecayChannel.cc,v 1.20 2010/05/20 01:01:07 kurasige Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
 //
 // 
@@ -218,6 +218,6 @@
 #ifdef G4VERBOSE
     if (verboseLevel>0) {
-      G4cout << "G4VDecayChannel::SetDaughter: ";
-      G4cout << "Number of daughters is not defined" << G4endl;
+      G4cerr << "G4VDecayChannel::SetDaughter: "
+             << "Number of daughters is not defined" << G4endl;
     }
 #endif
@@ -238,6 +238,6 @@
 #ifdef G4VERBOSE
     if (verboseLevel>0) {
-      G4cout << "G4VDecayChannel::SetDaughter";
-      G4cout << "index out of range " << anIndex << G4endl;
+      G4cerr << "G4VDecayChannel::SetDaughter"
+             << "index out of range " << anIndex << G4endl;
     }
 #endif
@@ -281,7 +281,7 @@
 #ifdef G4VERBOSE
     if (verboseLevel>0) {
-      G4cout << "G4VDecayChannel::FillDaughters   ";
-      G4cout << "[ " << parent->GetParticleName() << " ]";
-      G4cout << "numberOfDaughters is not defined yet";
+      G4cerr << "G4VDecayChannel::FillDaughters   "
+             << "[ " << parent->GetParticleName() << " ]"
+             << "numberOfDaughters is not defined yet";
     }
 #endif
@@ -302,7 +302,7 @@
 #ifdef G4VERBOSE
       if (verboseLevel>0) {
-	G4cout << "G4VDecayChannel::FillDaughters  ";
-	G4cout << "[ " << parent->GetParticleName() << " ]";
-	G4cout << index << "-th daughter is not defined yet" << G4endl;
+	G4cerr << "G4VDecayChannel::FillDaughters  "
+	       << "[ " << parent->GetParticleName() << " ]"
+	       << index << "-th daughter is not defined yet" << G4endl;
       }
 #endif
@@ -318,9 +318,9 @@
 #ifdef G4VERBOSE
       if (verboseLevel>0) {
-	G4cout << "G4VDecayChannel::FillDaughters  ";
-	G4cout << "[ " << parent->GetParticleName() << " ]";
-	G4cout << index << ":" << *daughters_name[index];
-	G4cout << " is not defined !!" << G4endl;
-        G4cout << " The BR of this decay mode is set to zero " << G4endl;
+	G4cerr << "G4VDecayChannel::FillDaughters  "
+	        << "[ " << parent->GetParticleName() << " ]"
+               << index << ":" << *daughters_name[index]
+	       << " is not defined !!" << G4endl;
+        G4cerr << " The BR of this decay mode is set to zero " << G4endl;
       }
 #endif
@@ -345,14 +345,14 @@
 #ifdef G4VERBOSE
    if (GetVerboseLevel()>0) {
-     G4cout << "G4VDecayChannel::FillDaughters ";
-     G4cout << "[ " << parent->GetParticleName() << " ]";
-     G4cout << "    Energy/Momentum conserevation breaks " <<G4endl;
+     G4cerr << "G4VDecayChannel::FillDaughters "
+            << "[ " << parent->GetParticleName() << " ]"
+            << "    Energy/Momentum conserevation breaks " <<G4endl;
      if (GetVerboseLevel()>1) {
-       G4cout << "    parent:" << *parent_name;
-       G4cout << " mass:" << parentmass/GeV << "[GeV/c/c]" <<G4endl;
+       G4cerr << "    parent:" << *parent_name
+              << " mass:" << parentmass/GeV << "[GeV/c/c]" <<G4endl;
        for (index=0; index < numberOfDaughters; index++){
-	 G4cout << "     daughter " << index << ":" << *daughters_name[index];
-	 G4cout << " mass:" << daughters[index]->GetPDGMass()/GeV;
-	 G4cout << "[GeV/c/c]" <<G4endl;
+	 G4cerr << "     daughter " << index << ":" << *daughters_name[index]
+	        << " mass:" << daughters[index]->GetPDGMass()/GeV
+  	        << "[GeV/c/c]" <<G4endl;
        }
      }
@@ -369,6 +369,6 @@
 #ifdef G4VERBOSE
     if (verboseLevel>0) {
-      G4cout << "G4VDecayChannel::FillParent   ";
-      G4cout << ": parent name is not defined !!" << G4endl;
+      G4cerr << "G4VDecayChannel::FillParent   "
+             << ": parent name is not defined !!" << G4endl;
     }
 #endif
@@ -384,6 +384,6 @@
 #ifdef G4VERBOSE
     if (verboseLevel>0) {
-      G4cout << "G4VDecayChannel::FillParent   ";
-      G4cout << *parent_name << " does not exist !!" << G4endl;
+      G4cerr << "G4VDecayChannel::FillParent   "
+             << *parent_name << " does not exist !!" << G4endl;
     }
 #endif
